# Class Camera

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents a camera, typically used to capture or render visual content in a scene or application.

    public class Camera

Inheritance
  object
  Camera

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Driver

    public string? Driver { get; set; }

#### Property Value

string

### Id

    public ObjectId Id { get; set; }

#### Property Value

ObjectId

### InUse

    public bool InUse { get; }

#### Property Value

bool

### Ip

    public string? Ip { get; set; }

#### Property Value

string

### Name

    public string? Name { get; set; }

#### Property Value

string

### Password

    public string? Password { get; set; }

#### Property Value

string

### Ptz

    public bool Ptz { get; set; }

#### Property Value

bool

### Streams

    public Stream? Streams { get; set; }

#### Property Value

Stream

### Username

    public string? Username { get; set; }

#### Property Value

string